Subject: [bug#57453] WIP

From: Maxime Devos <[email-masked]>
Date: Mon, 29 Aug 2022 00:24:27 +0200

On 28-08-2022 21:16, daniel.maksymow--- via Guix-patches via wrote:
> Hello,
>
> Thank you for comments but there are few things:
>
> - https://tracker.debian.org/pkg/chrpath <<- this link doesn't work 
> that's why I prefer FSF one, I hadn't found any other link
>
I cannot reproduce locally. What kind of errors do you get?

> - can you point out which are those:
> (generated Autotools files) and bundled
> dependencies  (configure, config.guess, config.h.in, depcomp,
> install-sh, missing, config.sub, acinclude.m4, aclocal.m4)
>   files?

That's the list. These are those, I don't think I can go any more specific.

> I am not autotool expert but I see that removing some files like 
> configure broke build, are you able to point what exactly files I have 
> to remove: acinclude.m4, aclocal.m4 << loks fine.

All of them. In the build error message, it will IIRC say something 
about 'autoconf not found' or such, when you encounter such a thing, you 
will need to add the autoconf package.

> - There is copyright file where GLP2 is specified

In the copyright file I found 
<https://sources.debian.org/src/chrpath/0.16-2/debian/copyright/>, GPL2 
is not specified.

Greetings,
Maxime.